Telegram APIMessages
messages.getQuickReplyMessages
Fetch (a subset or all) messages in a quick reply shortcut ».
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Fetch (a subset or all) messages in a quick reply shortcut ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getQuickReplyMessages" \ -H "Content-Type: application/json" \ -d '{ "params": { "shortcutId": 0, "hash": "string" } }'{ "result": { "_": "messages.messages", "messages": [ { "_": "messageEmpty", "id": 0, "peerId": { "_": "peerUser", "userId": 0 } } ], "topics": [ { "_": "forumTopicDeleted", "id": 0 } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getQuickReplies
Fetch basic info about all existing [quick reply shortcuts](https://core.telegram.org/api/business#quick-reply-shortcuts).
getRecentLocations
Get all recent [live locations](https://core.telegram.org/api/live-location) sent to a specific chat: returns up to 1 location message (`RawMessageMediaGeoLive`) per chat participant.